package com.xzzn.ems.domain.vo;

import java.util.List;
import java.util.Map;

/**
 * 点位模糊查询入参
 *
 */
public class PointNameRequest {

    private List<String> siteIds;

    private String deviceCategory;

    private String pointName;
    private List<String> pointNames;
    private String pointId;
    private List<String> pointIds;

    /** 数据分组 1-分钟 2-小时 3-天 */
    private int dataUnit;

    private String startDate;

    private String endDate;

    private String deviceId;

    private Map<String,List<String>> siteDeviceMap;

    public List<String> getSiteIds() {
        return siteIds;
    }

    public void setSiteIds(List<String> siteIds) {
        this.siteIds = siteIds;
    }

    public String getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(String deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public List<String> getPointNames() {
        return pointNames;
    }

    public void setPointNames(List<String> pointNames) {
        this.pointNames = pointNames;
    }

    public String getPointId() {
        return pointId;
    }

    public void setPointId(String pointId) {
        this.pointId = pointId;
    }

    public List<String> getPointIds() {
        return pointIds;
    }

    public void setPointIds(List<String> pointIds) {
        this.pointIds = pointIds;
    }

    public int getDataUnit() {
        return dataUnit;
    }

    public void setDataUnit(int dataUnit) {
        this.dataUnit = dataUnit;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Map<String, List<String>> getSiteDeviceMap() {
        return siteDeviceMap;
    }

    public void setSiteDeviceMap(Map<String, List<String>> siteDeviceMap) {
        this.siteDeviceMap = siteDeviceMap;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }
}
